export function generatePath(context, attributes) {
  var _attributes$x = attributes.x,
      x = _attributes$x === void 0 ? 0 : _attributes$x,
      _attributes$y = attributes.y,
      y = _attributes$y === void 0 ? 0 : _attributes$y;
  var points = attributes.points;
  var length = points.length;
  var x1 = points[0][0] - x;
  var y1 = points[0][1] - y;
  var x2 = points[length - 1][0] - x;
  var y2 = points[length - 1][1] - y;
  context.beginPath();
  context.moveTo(x1, y1);

  for (var i = 0; i < length - 1; i++) {
    var point = points[i];
    context.lineTo(point[0] - x, point[1] - y);
  }

  context.lineTo(x2, y2);
  context.closePath();
}
//# sourceMappingURL=Polygon.js.map