"use strict";
exports.__esModule = true;
exports.generatePath = void 0;
function generatePath(context, attributes) {
    var _a = attributes.x, x = _a === void 0 ? 0 : _a, _b = attributes.y, y = _b === void 0 ? 0 : _b;
    var points = attributes.points;
    var length = points.length;
    var x1 = points[0][0] - x;
    var y1 = points[0][1] - y;
    var x2 = points[length - 1][0] - x;
    var y2 = points[length - 1][1] - y;
    context.beginPath();
    context.moveTo(x1, y1);
    for (var i = 0; i < length - 1; i++) {
        var point = points[i];
        context.lineTo(point[0] - x, point[1] - y);
    }
    context.lineTo(x2, y2);
    context.closePath();
}
exports.generatePath = generatePath;
