export var PathGeneratorFactory = Symbol('PathGeneratorFactory');
export var PathGenerator = Symbol('Path');
/**
 * generate path in local space
 */

export { generatePath as CirclePath } from './Circle';
export { generatePath as EllipsePath } from './Ellipse';
export { generatePath as RectPath } from './Rect';
export { generatePath as LinePath } from './Line';
export { generatePath as PolylinePath } from './Polyline';
export { generatePath as PolygonPath } from './Polygon';
export { generatePath as PathPath } from './Path';
//# sourceMappingURL=index.js.map