import { RenderingService, RenderingPlugin } from '@antv/g';
export declare class CanvasRendererPlugin implements RenderingPlugin {
    static tag: string;
    private canvasConfig;
    private contextService;
    private renderingContext;
    private styleParser;
    private pathGeneratorFactory;
    private styleRendererFactory;
    /**
     * save the last dirty rect in DEBUG mode
     */
    private lastDirtyRectangle;
    apply(renderingService: RenderingService): void;
    private convertAABB2Rect;
    private drawDirtyRectangle;
    private applyTransform;
    private applyAttributesToContext;
}
